package com.lovecoding.day11.static02;

public class TestStaticMethod01 {

    //静态方法
    public static void method1(){
        System.out.println("method1");
    }

    //使用位置
    public void m(){
        TestStaticMethod01.method1();
    }
    {
        TestStaticMethod01.method1();
    }

    public TestStaticMethod01() {
        TestStaticMethod01.method1();
    }

    public static void main(String[] args) {
        //调用 类名.方法名
        //TestStaticMethod01.method1();

        //继承
        B.method1();

        //不能被重写
        B.method1();

        //多态
        A a = new B();
        a.method1();

        //重载 可以重载
    }



}

class A {
    public static void method1(){
        System.out.println("method1-A");
    }
}
class B extends A{
    //这里不是重写 重写方法 会提示 加注解 @Override
    public static void method1(){
        System.out.println("method1-B");
    }

    public static void method1(String a){
        System.out.println("method1-B");
    }

    public static void method1(String a,String b){
        System.out.println("method1-B");
    }
}
